Name: system-tools-backends
Version: 2.6.0
Release: alt1

Summary: System Tools to manage computer configuration -- scripts
License: GPL
Group: System/Libraries
Url: ftp://ftp.gnome.org
Packager: Vladimir Lettiev <crux@altlinux.ru>

Source: %gnome_ftp/%name/2.6/%name-%version.tar.bz2
Source1: %name.init

Patch1: 01_altlinux.patch
# Patches from debian
Patch2: 03_default_permissions.patch
Patch3: 04_correct_perl_command.patch
Patch4: 07_dont_symlink_localtime.patch
Patch5: 60_fix-permissions-of-pid-file.patch

BuildPreReq: rpm-build-gnome gnome-common

BuildRequires: perl-XML-Parser perl-Net-DBus libdbus-devel libdbus-glib-devel glib2-devel libgio-devel libpolkit-devel

%set_perl_req_method relaxed

%description
The System Tools Backends are a set of cross-platform scripts for Linux and other Unix systems. The backends provide a standard XML interface for modifying the configuration regardless of the distribution that's being used.

%package devel
Summary: System Tools to manage computer configuration -- development files
Group: Development/C
PreReq: %name = %version-%release

%description devel
The System Tools Backends are a set of cross-platform scripts for Linux and other Unix systems. The backends provide a standard XML interface for modifying the configuration regardless of the distribution that's being used.
This package contain development files.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
#autoreconf -fisv
%configure --with-net-dbus=%_libdir/perl5 --with-stb-group=stb-admin --localstatedir=%_var
%make_build

%install
%make_install DESTDIR=%buildroot install
%__install -D %SOURCE1 %buildroot%_initdir/stbd

%post
/usr/sbin/groupadd -r -f stb-admin

%files
%_sysconfdir/dbus-1/system.d/%name.conf
%_initdir/stbd
%_bindir/%name
%_datadir/%name-2.0
%_datadir/PolicyKit/policy/%name.policy
%_datadir/dbus-1/system-services/org.freedesktop.SystemToolsBackends*

%files devel
%_libdir/pkgconfig/%name-2.0.pc
%doc AUTHORS ChangeLog NEWS COPYING README

%changelog
* Wed Sep 17 2008 Vladimir Lettiev <crux@altlinux.ru> 2.6.0-alt1
- Initial build for Sisyphus

